<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetNodesFormulas](./bitburner.hacknetnodesformulas.md) &gt; [hacknetNodeCost](./bitburner.hacknetnodesformulas.hacknetnodecost.md)

## HacknetNodesFormulas.hacknetNodeCost() method

Calculate the cost of a hacknet node.

**Signature:**

```typescript
hacknetNodeCost(n: number, mult: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  n | number | number of the hacknet node |
|  mult | number | player cost reduction (defaults to 1) |

**Returns:**

number

The calculated cost.

